//Author: Ingo Janssen
//2021-04-30
//cmd: +w1280 +h480 +a0.05 +am2 +ua

#version 3.7;
#include "math.inc"
#include "povosc.inc"

global_settings{ assumed_gamma 1.0 }
#default{ finish{ ambient 0.1 diffuse 0.9 }} 


#declare Amp = 0.5;
#declare Dur = 5/35;
#declare SRate = 300/35;
#declare Samples = Dur * SRate;

#macro Instrument(Tick, SRate)
  #local S0 =     SinOsc(300, 0, 0.5, Tick, SRate); //Modulator
  #local Sample = SinOsc( 35, 0,  S0, Tick, SRate); //Carrier
  Sample
#end

#declare Wv = object{union{
  #for(i,0,3,0.00001)
    sphere{<i*1.5,Instrument(i,SRate),0> 0.005}
  #end
}} 

#declare N = 4;
#for(i,0,N)
  object{Wv rotate <i*90/N,0,0> pigment{rgb 1}}
#end

camera {
  perspective angle 93
  location  <2.25 , 0 ,-2.3>
  right     x*image_width/image_height
  look_at   <2.25 , 0 , 0.0> 
  normal{wood}
  blur_samples 4
  aperture 10
  focal_point <2.25,0,0> 
}

light_source{<900,    0,-300> color rgb <0.2,0,1> shadowless}
light_source{< 0,-3000,  -10> color rgb <0,0.3,1> shadowless}
light_source{< 0,  300,  300> color rgb <0,0,2> shadowless}
