#version 3.7;

global_settings{ assumed_gamma 1.0 }
#include "waveheader.inc"
#include "povosc.inc"
#include "math.inc"
#declare TAU = 2*pi;

#declare nWaves = 5;

#declare Freq = 20;
#declare Dur = nWaves/Freq;
#declare SampleRate = 10000;
#declare Samples = Dur * SampleRate;

#declare W = union{

#declare Tick = 0;
#while (Tick < Samples) 
  //#declare Sample = SawOsc(Freq, 0, 1, Tick, SampleRate);
  sphere{
    <(Tick/Samples)*nWaves, SawOsc(Freq, 0, 1, Tick, SampleRate),0>,0.02
    pigment{rgb 1}
  }
  sphere{
    <(Tick/Samples)*nWaves, SawSinOsc(Freq, 0, 1, Tick, SampleRate),0>,0.02
    pigment{rgb 1}
  }
  sphere{
    <(Tick/Samples)*nWaves, SinOsc(Freq, 0, 1, Tick, SampleRate),0>,0.02
    pigment{rgb 1}
  }
  sphere{
    <(Tick/Samples)*nWaves, SquareOsc(Freq, 0, 1, Tick, SampleRate),0>,0.02
    pigment{rgb 1}
  }
  sphere{
    <(Tick/Samples)*nWaves, TriOsc(Freq, 0, 1, Tick, SampleRate),0>,0.02
    pigment{rgb 1}
  }
  sphere{
    <(Tick/Samples)*nWaves, SplineOsc(Freq, 0, 1, Tick, SampleRate),0>,0.02
    pigment{rgb 1}
  }
  #declare Tick = Tick + 1;
#end 
};
cylinder{
  <0,1,0.1>, <nWaves+1,1,0.1>, 0.01
  pigment{rgb<1,0,0>}
}
cylinder{
  <0,0,0.1>, <nWaves+1,0,0.1>, 0.01
  pigment{rgb<1,0,0>}
}
cylinder{
  <0,-1,0.1>, <nWaves+1,-1,0.1>, 0.01
  pigment{rgb<1,0,0>}
}
cylinder{
  <0,-3,0.1>,<0,3,0.1>, 0.01
  pigment{rgb<1,0,0>}
}

object{W}
object{W translate<0,0,-1>}
object{W translate<0,0,1>}
object{W translate<0,0,-2>}
object{W translate<0,0,2>}
object{W translate<0,0,-3>}
object{W translate<0,0,3>}
object{W translate<0,0,-4>}
object{W translate<0,0,4>}
object{W translate<0,0,-5>}
object{W translate<0,0,5>}
object{W translate<0,0,-6>}
object{W translate<0,0,6>}


light_source{<0,150,-2500> color rgb 1 }
light_source{<nWaves/2,0,-4.5> color rgb <0,0,0.5> shadowless}

camera {
  angle 35 
  location  <-10 , 10 ,-7.0>
  right     x*image_width/image_height
  look_at   <nWaves/2 , 0 , 0.0>
  aperture 3
  blur_samples 1
  focal_point <nWaves/2 , 0 , 0.0>
  normal { wrinkles 0.04 }
  rotate<5,7,-10>
 }
