// PoVRay 3.7 Scene File 
// SounOfPOVRay.pov
// author:  ingo
//+w1280 +h480 +a0.05 +am3 +ac0.90 +r3

#version 3.7;
global_settings{ assumed_gamma 1.0 }
#include "rand.inc"
#default{ finish{ ambient 0.1 diffuse 0.9 }} 


camera {
  angle 75
  location  <pi , 0 ,-5.0>
  right     x*image_width/image_height
  look_at   <pi , 0.0 , 0.0> 
  blur_samples 1,4 
  aperture 0.5
  focal_point <pi,0,0>
}

light_source{
  <2500,2500,-5000> rgb 1
}

light_source{
  <250,-2500,-50> rgb <0,0,0.4>
}

#declare SinOsc = function(Freq, Phase, Amp, Tick, SRate){
  sin((Tick * tau * (Freq/SRate)) + Phase) * Amp
}; 

#declare Seed = seed(7);
#for(j,0,10,1)
  #declare Freq = RRand(3,23,Seed);
  #declare Amp = RRand(0.3,3,Seed);
  #declare Z = RRand(-3,5,Seed);
  #for(i, 0, 2*pi, 0.001)
    sphere{<i, SinOsc(Freq,0,Amp,i,2*pi),Z>,0.01 texture{pigment{rgb 1}}}  
  #end
#end

  #for(i, 0, 2*pi, 0.001)
    sphere{<i, SinOsc(10,0,1,i,2*pi),0>,0.01 texture{pigment{rgb <1,0,0>}}}  
  #end
