// Persistence of Vision Ray Tracer Include File
// File: param.inc
// Vers: 3.5
// Desc: Klein Bottle 
// Date: 2001-11-03
// Auth: Ingo Janssen
 
 // cmd:+w1280 +h420 +a0.05 +am3 +ac0.90 +r3 +ua
#version 3.7;
#include "meshmaker.inc"
#include "functions.inc"
global_settings {assumed_gamma 1.0}

camera {
  location <2,-6,-25> 
  look_at <2,-2.5,0>
  right x*image_width/image_height
} 
light_source { <-500,20,-100> rgb <0.3,0.3,0.6>*1.75 }
light_source { 
  <5,-10,-16>
  rgb <1,0.7,0.7>
}
background{rgb 1}


//Klein-bottle
#declare R=function(u){4*(1-cos(u)/2)}
#declare F1=function(u,v){ 
  select(
    pi - u, //u<=pi,
    (6*cos(u)*(1+sin(u))+(R(u)*cos(v+pi))),  
    (6*cos(u)*(1+sin(u))+(R(u)*cos(u)*cos(v)))
  )
}
#declare F2=function(u,v){ 
  select(
    pi-u,//u<=pi,
    (16*sin(u)),  
    (16*sin(u)+(R(u)*sin(u)*cos(v)))
  )
}
#declare F3=function(u,v){R(u)*sin(v)}
#declare Klein = object {
   Parametric(
      F1, F2, F3,
      <0, 0>,
      <2*pi, 2*pi>,
      75,75,""
   )
   texture {
      spotted
      texture_map {
         [0.05, pigment{spotted color_map{[0,rgbft 1][1,rgb 0]}}finish{specular 0.01 roughness 0.5}]
         [0.05, pigment{spotted color_map{[0,rgbft 1][1,rgb 0]}}finish{specular 0.2}]
      }
   }
}

object{
  Klein
  rotate <0,105,0>
  rotate <65,0,0>
  rotate <0,-35,0>  
}

object{
  Klein
  rotate <0,105,0>
  rotate <65,0,0>
  rotate <0,-35,0>
  translate <-25,0,10>  
}

